package com.prolog.eis.service.out;


import com.prolog.eis.model.out.ContainerTaskDismantleHis;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务拆零详情表-服务接口类
 * @date 2023-09-11 16:33
 */
public interface ContainerTaskDismantleHisService {

    /**
     * 新增数据
     *
     * @param containerTaskDismantleHis 出库任务拆零详情表
     */
    long save(ContainerTaskDismantleHis containerTaskDismantleHis);

    /**
     * 新增批量数据
     *
     * @param containerTaskDismantleHisList 出库任务拆零详情表
     */
    long saveBatch(List<ContainerTaskDismantleHis> containerTaskDismantleHisList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<ContainerTaskDismantleHis> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    ContainerTaskDismantleHis findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<ContainerTaskDismantleHis> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ContainerTaskDismantleHis findById(int id);

    /**
     * 修改数据
     *
     * @param containerTaskDismantleHis 实例对象
     */
    long update(ContainerTaskDismantleHis containerTaskDismantleHis);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
